# Class CIM_GatewayPathID
extends CIM_StorageHardwareID

GatewayPathID extends StorageHardwareID to name a path segment defined by the end identities, HardwareID and GatewayID. The purpose is to describe Identity to allow access control to be applied to a particular path segment. Think of the element identified by GatewayPathID as a Gateway between a non-trusted world and a trusted world.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Identity
|
+--CIM_StorageHardwareID
|
+--CIM_GatewayPathID

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | GatewayPathID extends StorageHardwareID to name a path segment defined by the end identities, HardwareID and GatewayID. The purpose is to describe Identity to allow access control to be applied to a particular path segment. Think of the element identified by GatewayPathID as a Gateway between a non-trusted world and a trusted world.
UMLPackagePath | string | CIM::User::StorageHardwareID
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
GatewayID | string |
Description | string | The ID representing the Gateway for a path segment from the element identified in the HardwareID property to the Gateway.
ModelCorrespondence | string | CIM_GatewayPathID.GatewayIDType, CIM_GatewayPathID.OtherGatewayIDType
Required | boolean | true
GatewayIDType | uint16 |
Description | string | The type of the ID property. iSCSI GatewayIDs may use one of three iSCSI formats - iqn, eui, or naa. This three letter format is the name prefix; so a single iSCSI type is provided here, the prefix can be used to further refine the format.
ModelCorrespondence | string | CIM_GatewayPathID.GatewayID
Required | boolean | true
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, PortWWN, NodeWWN, Hostname, iSCSI Name
OtherGatewayIDType | string |
Description | string | The gateway ID type when Gateway IDType is "Other".
ModelCorrespondence | string | CIM_GatewayPathID.GatewayID

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CurrentlyAuthenticated | boolean | CIM_Identity
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
IDType | uint16 | CIM_StorageHardwareID
InstanceID | string | CIM_Identity
OtherIDType | string | CIM_StorageHardwareID
StorageID | string | CIM_StorageHardwareID

## Class Methods